IllegalConnectorArgumentsException (Java Debug Interface )
Keywords: com.sun.jdi.connect.IllegalConnectorArgumentsException class
Date: 2015-11-19

com.sun.jdi.connect

## Class IllegalConnectorArgumentsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.jdi.connect.IllegalConnectorArgumentsException

- All Implemented Interfaces:
    Serializable

      @Exported
      public class IllegalConnectorArgumentsException
      extends Exception

  Thrown to indicate an invalid argument or inconsistent passed to a `Connector`.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalConnectorArgumentsException(String s, List<String> names)` Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.
    `IllegalConnectorArgumentsException(String s, String name)` Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `argumentNames()` Return a `List` containing the names of the invalid or inconsistent arguments.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalConnectorArgumentsException

          public IllegalConnectorArgumentsException(String s,
                                                    String name)

      Construct an `IllegalConnectorArgumentsException` with the specified detail message and the name of the argument which is invalid or inconsistent.
      Parameters:
        `s` - the detailed message.
        `name` - the name of the invalid or inconsistent argument.

    - #### IllegalConnectorArgumentsException

          public IllegalConnectorArgumentsException(String s,
                                                    List<String> names)

      Construct an `IllegalConnectorArgumentsException` with the specified detail message and a `List` of names of arguments which are invalid or inconsistent.
      Parameters:
        `s` - the detailed message.
        `names` - a `List` containing the names of the invalid or inconsistent argument.

  - ### Method Detail

    - #### argumentNames

          public List<String> argumentNames()

      Return a `List` containing the names of the invalid or inconsistent arguments.
      Returns:
        a `List` of argument names.

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.